using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.WB
{
    /// <summary>
    /// 导航属性：培训照片附件
    /// </summary>
    [Description("培训照片附件")]
    public class T_WB_OUTSOURCE_TRAIN_RECORD_FILE : MesEntityBase
    {
        /// <summary>
        /// 培训记录
        /// </summary>
        [Description("培训记录")]
        [DataFieldForeignKey("Nav_Parent", "Nav_Files")]
        public Guid? PARENT_ID { get; set; }
        /// <summary>
        /// 导航: 培训通知
        /// </summary>
        [Description("导航: 培训通知")]
        public T_WB_OUTSOURCE_TRAIN_RECORD Nav_Parent { get; set; }
        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }
        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
